#!/usr/bin/perl

# Author: Murat Uenalan (murat.uenalan@charite.de)
#
# Copyright (c) 2001 Murat Uenalan. All rights reserved.
#
# Note: This program is free software; you can redistribute
#
# it and/or modify it under the same terms as Perl itself.

use IO::Extended ':all';

sub syntax()
{
	println STDERR "Usage: $0 [ENVAR] ..\n";

	println STDERR "Examples: ";

	print qx(\"$0\" PATH INCLUDE PATHEXT PERL5LIB);
}

@ARGV || syntax();

use Env map { '@'.$_ } @ARGV;

foreach ( @ARGV )
{
	println "\n", $_;

	foreach ( @{ *$_{ARRAY} } )
	{
		ind 1;

		println $_;
	}
}
